=== requirements.txt ===
# Test requirements

mccabe      >= 0.5.2
pycodestyle >= 2.3.1
pydocstyle  >= 2.0.0
pyflakes    >= 1.5.0
